<template>
  <g stroke="#000">
    <path
      d="m199.62 272.09 0.14 0.032 0.144 0.012c46.125 3.804 73.784 24.292 93.858 52.507h-273.32c16.3-29.342 39.484-48.018 77.07-56.588 16.014-3.651 34.669-5.473 56.556-5.473 9.456 0 16.814 1.443 23.796 3.346 2.587 0.705 5.187 1.496 7.847 2.304 4.402 1.337 8.968 2.725 13.909 3.86z"
      :fill="props.color"
      stroke-width="4"
    />
    <path
      d="m85.998 270.22 9.154-19.596a1.009 1.009 0 0 1 1.249-0.519c37.926 13.425 72.429 12.48 104.4 3.58a1 1 0 0 1 1.079 0.373l13.932 19.052c0.383 0.524 0.188 1.262-0.416 1.5-33.607 13.196-96.668 10.953-128.92-3.066a0.978 0.978 0 0 1-0.485-1.324z"
      :fill="props.subColor"
      stroke-width="4"
    />
  </g>
</template>

<script lang="ts" setup>
const props = defineProps<{
  color: string
  subColor: string
}>()
</script>
